Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.server.runner
Interface XMLConstants

All Known Implementing Classes:
  XMLFormatter

public interface XMLConstants

XML constants for outputting the JUnit test results in XML. Note: This class was copied from the Jakarta Ant project and heavily adapted for Cactus.

Version:
  $Id: XMLConstants.java 238991 2004-05-22 11:34:50Z vmassol $
See Also:
  `XMLFormatter`

Field Summary
`static java.lang.String` | `ATTR_ERRORS` Errors attribute for testsuite elements
`static java.lang.String` | `ATTR_FAILURES` Failures attribute for testsuite elements
`static java.lang.String` | `ATTR_MESSAGE` Message attribute for failure elements (message of the exception)
`static java.lang.String` | `ATTR_NAME` Name attribute for property, testcase and testsuite elements
`static java.lang.String` | `ATTR_TESTS` Tests attribute for testsuite elements (number of tests executed)
`static java.lang.String` | `ATTR_TIME` Time attribute for testcase and testsuite elements
`static java.lang.String` | `ATTR_TYPE` Type attribute for failure and error elements
`static java.lang.String` | `ERROR` The error element (for a test case)
`static java.lang.String` | `FAILURE` The failure element (for a test case)
`static java.lang.String` | `TESTCASE` A single testcase element
`static java.lang.String` | `TESTSUITE` A single test suite results.
`static java.lang.String` | `TESTSUITES` Root element for all test suites.

Field Detail

### TESTSUITES

    public static final java.lang.String TESTSUITES

  Root element for all test suites.

  See Also:
    Constant Field Values

### TESTSUITE

    public static final java.lang.String TESTSUITE

  A single test suite results.

  See Also:
    Constant Field Values

### TESTCASE

    public static final java.lang.String TESTCASE

  A single testcase element

  See Also:
    Constant Field Values

### ERROR

    public static final java.lang.String ERROR

  The error element (for a test case)

  See Also:
    Constant Field Values

### FAILURE

    public static final java.lang.String FAILURE

  The failure element (for a test case)

  See Also:
    Constant Field Values

### ATTR_NAME

    public static final java.lang.String ATTR_NAME

  Name attribute for property, testcase and testsuite elements

  See Also:
    Constant Field Values

### ATTR_TIME

    public static final java.lang.String ATTR_TIME

  Time attribute for testcase and testsuite elements

  See Also:
    Constant Field Values

### ATTR_ERRORS

    public static final java.lang.String ATTR_ERRORS

  Errors attribute for testsuite elements

  See Also:
    Constant Field Values

### ATTR_FAILURES

    public static final java.lang.String ATTR_FAILURES

  Failures attribute for testsuite elements

  See Also:
    Constant Field Values

### ATTR_TESTS

    public static final java.lang.String ATTR_TESTS

  Tests attribute for testsuite elements (number of tests executed)

  See Also:
    Constant Field Values

### ATTR_TYPE

    public static final java.lang.String ATTR_TYPE

  Type attribute for failure and error elements

  See Also:
    Constant Field Values

### ATTR_MESSAGE

    public static final java.lang.String ATTR_MESSAGE

  Message attribute for failure elements (message of the exception)

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.